%global lbuildir %{_builddir}/%{name}-%{version}/%{name}-%{version}.linux-amd64

%global debug_package %{nil}

Name:           snmp_exporter
Version:        0.13.0
Release:        7%{?dist}
Summary:        SNMP Exporter for Prometheus.

License:        ASL 1.0
URL:            https://github.com/prometheus/snmp_exporter

Source0:        https://github.com/prometheus/%{name}/releases/download/v%{version}/%{name}-%{version}.linux-amd64.tar.gz
Source1:        %{name}.service

%{?systemd_requires}
BuildRequires: systemd

%description
This is an exporter that exposes information gathered from SNMP for use by 
the Prometheus monitoring system.

There are two components. An exporter that does the actual scraping, and a 
generator (which depends on NetSNMP) that creates the configuration for 
use by the exporter.

%prep
%setup -c -q

%build

%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
  useradd -r -g %{name} -d /var/lib/%{name} -s /sbin/nologin \
  -c "Prometheus SNMP Exporter" %{name}
exit 0

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}/%{_sbindir}
%{__install} -p %{lbuildir}/%{name} %{buildroot}/%{_sbindir}/

%{__install} -p -D %{SOURCE1} %{buildroot}/%{_unitdir}/%{name}.service

%{__mkdir_p} %{buildroot}/%{_usr}/share/%{name}
%{__install} -p -D %{lbuildir}/{LICENSE,NOTICE} %{buildroot}/%{_usr}/share/%{name}

%{__mkdir_p} %{buildroot}/%{_sysconfdir}/sysconfig
%{__cat} <<EOF > %{buildroot}/%{_sysconfdir}/sysconfig/%{name}
OPTIONS="--config.file=%{_sysconfdir}/%{name}/snmp.yml"
EOF

%{__install} -p -D %{lbuildir}/snmp.yml %{buildroot}/%{_sysconfdir}/%{name}/snmp.yml

%files
%defattr(644,%{name},%{name},755)

%attr(755,-,-) /usr/sbin/%{name}

%{_usr}/share/%{name}/NOTICE

%config %{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%license %{_usr}/share/%{name}/LICENSE
%config(noreplace) %{_sysconfdir}/%{name}/snmp.yml

%changelog
* Tue Oct 16 2018 Disk Stats <diskstats@gmail.com> - 0.13.0-7
- rebuilt

* Tue Oct 16 2018 Disk Stats <diskstats@gmail.com> - 0.13.0-6
- rebuilt

